PETSc version 3.15.5
Fix/Edit manual page

# PetscDualSpaceSetUp

Construct a basis for the PetscDualSpace

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSetUp(PetscDualSpace sp)

Collective on sp

### Input Parameter

| sp | - the PetscDualSpace object to setup

### See Also

PetscDualSpaceView(), PetscDualSpaceDestroy(), PetscDualSpace

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c

### Implementations

PetscDualSpaceSetUp_Lagrange in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceSetUp_Refined in src/dm/dt/dualspace/impls/refined/dualspacerefined.c
PetscDualSpaceSetUp_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages